%define oname	TrustedQSL

Summary:	TrustedQSL ham-radio applications
Name:		trustedqsl
Version:	1.13
Release:	%mkrel 6
License:	BSD-like
Group:		Networking/Other
Url:		http://sourceforge.net/projects/trustedqsl/
Source:		http://downloads.sourceforge.net/project/%{name}/%{oname}/V%{version}/%{oname}-%{version}.tar.gz
BuildRequires:	wxgtku2.8-devel
BuildRequires:	tqsllib-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	expat-devel
BuildRequires:	desktop-file-utils
Requires:	tqsllib

%description
The TrustedQSL applications are used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the GUI applications tqslcert and tqsl.

%prep
%setup -q -n %{oname}-%{version}

%build
#openssl, expat, zlib and tqsllib detection is broken on other archs
#we disable detection to keep configure happy
export OPENSSL=%{_prefix}
export EXPAT=%{_prefix}
export ZLIB=%{_prefix}
export TQSLLIB=%{_libdir}
export TQSLINC=%{_includedir}

#touch some missing files -> autoreconf is happy
touch README LICENSE AUTHORS COPYING NEWS
autoreconf -vfi

%configure2_5x \
	--without-openssl \
	--without-expat \
	--without-zlib \
	--without-tqsllib \
	--without-tqslinc
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -Dpm644 tqsl.desktop %{buildroot}/usr/share/applications/%{name}-tqsl.desktop
install -Dpm644 tqslcert.desktop %{buildroot}/usr/share/applications/%{name}-tqslcert.desktop
install -Dpm644 icons/key48.png %{buildroot}/usr/share/pixmaps/%{name}.png

#fix .desktop files
sed -i -e 's|%{oname}.png|%{name}|g' %{buildroot}/usr/share/applications/*.desktop

desktop-file-install \
	--remove-key=Encoding \
	--remove-category=Application \
	--add-category=Network \
	--dir %{buildroot}/usr/share/applications/ \
	%{buildroot}/usr/share/applications/*.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/tqsl*
%{_datadir}/%{oname}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.13-6.mga3
+ Revision: 384829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 1.13-5.mga3
+ Revision: 335423
- Fix obsolete Copyright tag

* Sun Jul 24 2011 ahmad <ahmad> 1.13-5.mga2
+ Revision: 128209
- Rebuild against wxgtk2.8 with enabled catch_segvs
- Add BR desktop-file-utils

* Sun Jun 19 2011 wally <wally> 1.13-4.mga2
+ Revision: 109823
- autoreconf sources before configure

* Sun Jun 19 2011 wally <wally> 1.13-3.mga2
+ Revision: 109663
- require tqsllib

* Sun Jun 19 2011 wally <wally> 1.13-2.mga2
+ Revision: 109623
- imported package trustedqsl

